<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<feature
      id="org.eclipse.lsat.conformance.feature"
      label="LSAT Conformance Feature (Incubation)"
      version="0.1.0.v20221012-125030-RC1"
      provider-name="%providerName"
      plugin="org.eclipse.lsat.branding">

   <description>
      Eclipse LSAT conformance checking

Using conformance checking, the implementation can be validated against the specification.
   </description>

   <copyright>
      %copyright
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.lsat.scheduler.feature" version="0.1.0" match="equivalent"/>
      <import feature="org.eclipse.lsat.common.qvto.feature" version="0.1.0" match="equivalent"/>
   </requires>

   <plugin
         id="org.eclipse.lsat.conformance"
         download-size="35"
         install-size="68"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.conformance.ui"
         download-size="45"
         install-size="81"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.trace.dsl"
         download-size="36"
         install-size="83"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.petri_net.design"
         download-size="18"
         install-size="33"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.petri_net.dsl"
         download-size="158"
         install-size="343"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

</feature>
